<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE erlref SYSTEM "erlref.dtd">

<erlref>
  <header>
    <copyright>
      <year>2000</year>
      <year>2013</year>
      <holder>Ericsson AB, All Rights Reserved</holder>
    </copyright>
    <legalnotice>
  Licensed under the Apache License, Version 2.0 (the "License");
  you may not use this file except in compliance with the License.
  You may obtain a copy of the License at
 
      http://www.apache.org/licenses/LICENSE-2.0

  Unless required by applicable law or agreed to in writing, software
  distributed under the License is distributed on an "AS IS" BASIS,
  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
  See the License for the specific language governing permissions and
  limitations under the License.

  The Initial Developer of the Original Code is Ericsson AB.
    </legalnotice>

    <title>CosNotification_AdminPropertiesAdmin</title>
    <prepared></prepared>
    <responsible></responsible>
    <docno></docno>
    <approved>Niclas Eklund</approved>
    <checked></checked>
    <date>2000-02-01</date>
    <rev>1.0</rev>
  </header>
  <module>CosNotification_AdminPropertiesAdmin</module>
  <modulesummary>This module implements the OMG  CosNotification::AdminPropertiesAdmin interface.</modulesummary>
  <description>
    <p>To get access to the record definitions for the structures use:      <br></br>
<c>-include_lib("cosNotification/include/*.hrl").</c></p>
    <p>All objects, which inherit this interface, export functions described in this module.</p>
  </description>
  <funcs>
    <func>
      <name>get_admin(Object) -> AdminProperties</name>
      <fsummary>Return a list of <c>AdminProperties</c>associated with the target object</fsummary>
      <type>
        <v>Object = #objref</v>
        <v>AdminProperties = [AdminProperty]</v>
        <v>AdminProperty = #'CosNotification_Property'{name, value}</v>
        <v>name = string()</v>
        <v>value = #any</v>
      </type>
      <desc>
        <p>This operation returns sequence of name-value pairs which encapsulates the
          current administrative properties of the target object.</p>
      </desc>
    </func>
    <func>
      <name>set_admin(Object, AdminProperties) -> Reply</name>
      <fsummary>Update the <c>AdminProperties</c>for the target object</fsummary>
      <type>
        <v>Object = #objref</v>
        <v>AdminProperties = [AdminProperty]</v>
        <v>AdminProperty = #'CosNotification_Property'{name, value}</v>
        <v>name = string()</v>
        <v>value = #any</v>
        <v>Reply = ok | {'EXCEPTION', CosNotification_UnsupportedAdmin}</v>
      </type>
      <desc>
        <p>As input, this operation accepts a sequence of name-value pairs encapsulating the 
          desired administrative settings for the target object. If it is not possible to
          set the given properties the exception <c>UnsupportedAdmin</c> will be raised.</p>
      </desc>
    </func>
  </funcs>
  
</erlref>

